- Qt 5.5
- Qt3D Module
- C++ Classes
- QHandleManager
- Qt 5.5.1 Reference Documentation

# QHandleManager Class

(Qt3D::QHandleManager)

- List of all members, including inherited members

## Public Functions

| QHandleManager()
QHandle<T, INDEXBITS> | acquire(T * d)
quint32 | activeEntries() const
const T * | constData(const QHandle<T, INDEXBITS> & handle, bool * ok = 0) const
T * | data(const QHandle<T, INDEXBITS> & handle, bool * ok = 0)
void | release(const QHandle<T, INDEXBITS> & handle)
void | reset()
void | update(const QHandle<T, INDEXBITS> &, T * d)

## Member Function Documentation

### QHandleManager::QHandleManager()

### QHandle<T, INDEXBITS> QHandleManager::acquire(T * d)

### quint32 QHandleManager::activeEntries() const

### const T * QHandleManager::constData(const QHandle<T, INDEXBITS> & handle, bool * ok = 0) const

### T * QHandleManager::data(const QHandle<T, INDEXBITS> & handle, bool * ok = 0)

### void QHandleManager::release(const QHandle<T, INDEXBITS> & handle)

### void QHandleManager::reset()

### void QHandleManager::update(const QHandle<T, INDEXBITS> &, T * d)